ERROR Invalid 'tags' constraint 'set(['test-tag'])': No such tag using maas-tags to deploy with juju

Bug #1064734 reported by Diogo Matsubara on 2012-10-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
High
Unassigned
pyjuju
High
Martin Packman
0.6
High
Clint Byrum
juju (Ubuntu)
High
Martin Packman
Quantal
High
Martin Packman

Bug Description

Using maas - 0.1+bzr1239+dfsg-0+1240+125~ppa0~quantal1 and juju 0.5.99+bzr592-0juju2~precise1
I tagged nodes with the test-tag

Then tried to bootstrap juju:
$ matsubara@tancho [~]$ juju bootstrap --constraints "maas-tags=test-tag arch=amd64 mem=0"
2012-10-09 19:46:33,130 INFO Bootstrapping environment 'maas' (origin: lp:juju type: maas)...
2012-10-09 19:46:34,378 ERROR Invalid 'tags' constraint 'set(['test-tag'])': No such tag

Related branches

Changed in maas:
status: New → Triaged
importance: Undecided → High
milestone: none → 12.10
Martin Packman (gz) on 2012-10-10
Changed in juju:
assignee: nobody → Martin Packman (gz)
importance: Undecided → High
status: New → Triaged
Changed in juju:
milestone: none → 0.6.1
Changed in juju (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Packman (gz)
importance: Undecided → High
Changed in juju (Ubuntu Quantal):
milestone: none → ubuntu-12.10
Martin Packman (gz) on 2012-10-10
Changed in juju:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju - 0.6-1ubuntu1

---------------
juju (0.6-1ubuntu1) quantal; urgency=low

  * d/patches/maas-tag-conversion.patch: Fix maas provider api usage
    of maas-tags constraint. (LP: #1064734)
 -- Martin Packman <email address hidden> Wed, 10 Oct 2012 14:41:08 +0000

Changed in juju (Ubuntu Quantal):
status: In Progress → Fix Released
Changed in maas:
status: Triaged → Fix Released
Changed in juju:
milestone: 0.6.1 → 0.7
Martin Packman (gz) on 2013-04-03
Changed in juju:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers